Apache JMeter

## org.apache.jmeter.visualizers
Class MonitorModel

    java.lang.Object
      org.apache.jmeter.visualizers.MonitorModel

All Implemented Interfaces:
  Serializable, Cloneable, Clearable

    public class MonitorModel

extends Object
implements Clearable, Serializable, Cloneable

See Also:
  Serialized Form

Constructor Summary
`MonitorModel()`
`MonitorModel(MonitorStats stat)`

Method Summary
`void` `clearData()` clear will create a new MonitorStats object.
`Object` `clone()` a clone method is provided for convienance.
`MonitorStats` `cloneMonitorStats()` a clone method to clone the stats
`int` `getCpuload()`
`int` `getHealth()`
`String` `getHost()`
`int` `getLoad()`
`int` `getMemload()`
`String` `getPort()`
`String` `getProtocol()`
`int` `getThreadload()`
`long` `getTimestamp()`
`String` `getTimestampString()` Method will return a formatted date using SimpleDateFormat.
`String` `getURL()`
`String` `toString()` Method is used by DefaultMutableTreeNode to get the label for the node.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitorModel

    public MonitorModel()

### MonitorModel

    public MonitorModel(MonitorStats stat)

Method Detail

### getHealth

    public int getHealth()

### getLoad

    public int getLoad()

### getCpuload

    public int getCpuload()

### getMemload

    public int getMemload()

### getThreadload

    public int getThreadload()

### getHost

    public String getHost()

### getPort

    public String getPort()

### getProtocol

    public String getProtocol()

### getTimestamp

    public long getTimestamp()

### getURL

    public String getURL()

### getTimestampString

    public String getTimestampString()

  Method will return a formatted date using SimpleDateFormat.

  Returns:
    String

### toString

    public String toString()

  Method is used by DefaultMutableTreeNode to get the label for the node.

  Overrides:
    `toString` in class `Object`

### clearData

    public void clearData()

  clear will create a new MonitorStats object.

  Specified by:
    `clearData` in interface `Clearable`

### clone

    public Object clone()

  a clone method is provided for convienance. In some cases, it may be desirable to clone the object.

  Overrides:
    `clone` in class `Object`

### cloneMonitorStats

    public MonitorStats cloneMonitorStats()

  a clone method to clone the stats

  Returns:
    new instance of the class

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.